Loading...
Searching...
No Matches
icu::CurrencyAmount Class Reference

A currency together with a numeric amount, such as 200 USD. More...

`#include <curramt.h>`

Inheritance diagram for icu::CurrencyAmount:

## Public Member Functions

| CurrencyAmount (const Formattable &amount, ConstChar16Ptr isoCode, UErrorCode &ec)
| Construct an object with the given numeric amount and the given ISO currency code.
| CurrencyAmount (double amount, ConstChar16Ptr isoCode, UErrorCode &ec)
| Construct an object with the given numeric amount and the given ISO currency code.
| CurrencyAmount (const CurrencyAmount &other)
| Copy constructor.
CurrencyAmount & | operator= (const CurrencyAmount &other)
| Assignment operator.
virtual CurrencyAmount * | clone () const override
| Return a polymorphic clone of this object.
virtual | ~CurrencyAmount ()
| Destructor.
virtual UClassID | getDynamicClassID () const override
| Returns a unique class ID for this object POLYMORPHICALLY.
const CurrencyUnit & | getCurrency () const
| Return the currency unit object of this object.
const char16_t * | getISOCurrency () const
| Return the ISO currency code of this object.
Public Member Functions inherited from icu::Measure
| Measure (const Formattable &number, MeasureUnit *adoptedUnit, UErrorCode &ec)
| Construct an object with the given numeric amount and the given unit.
| Measure (const Measure &other)
| Copy constructor.
Measure & | operator= (const Measure &other)
| Assignment operator.
virtual | ~Measure ()
| Destructor.
bool | operator== (const UObject &other) const
| Equality operator.
bool | operator!= (const UObject &other) const
| Inequality operator.
const Formattable & | getNumber () const
| Return a reference to the numeric value of this object.
const MeasureUnit & | getUnit () const
| Return a reference to the unit of this object.
Public Member Functions inherited from icu::UObject
virtual | ~UObject ()
| Destructor.

## Static Public Member Functions

static UClassID | getStaticClassID ()
| Returns the class ID for this class.
Static Public Member Functions inherited from icu::Measure
static UClassID | getStaticClassID ()
| Return the class ID for this class.

## Additional Inherited Members

Protected Member Functions inherited from icu::Measure
| Measure ()
| Default constructor.

## Detailed Description

A currency together with a numeric amount, such as 200 USD.

Author
  Alan Liu

Stable
  ICU 3.0

Definition at line 39 of file curramt.h.

## Constructor & Destructor Documentation

## CurrencyAmount() [1/3]

icu::CurrencyAmount::CurrencyAmount | ( | const Formattable & | amount,
|  | ConstChar16Ptr | isoCode,
|  | UErrorCode & | ec )

Construct an object with the given numeric amount and the given ISO currency code.

Parameters

  amount | a numeric object; amount.isNumeric() must be true
  isoCode | the 3-letter ISO 4217 currency code; must not be nullptr and must have length 3
  ec | input-output error code. If the amount or the isoCode is invalid, then this will be set to a failing value.

Stable
  ICU 3.0

Referenced by clone(), CurrencyAmount(), and operator=().

## CurrencyAmount() [2/3]

icu::CurrencyAmount::CurrencyAmount | ( | double | amount,
|  | ConstChar16Ptr | isoCode,
|  | UErrorCode & | ec )

Construct an object with the given numeric amount and the given ISO currency code.

Parameters

  amount | the amount of the given currency
  isoCode | the 3-letter ISO 4217 currency code; must not be nullptr and must have length 3
  ec | input-output error code. If the isoCode is invalid, then this will be set to a failing value.

Stable
  ICU 3.0

## CurrencyAmount() [3/3]

icu::CurrencyAmount::CurrencyAmount | ( | const CurrencyAmount & | other | ) |

Copy constructor.

Stable
  ICU 3.0

References CurrencyAmount().

## ~CurrencyAmount()

virtual icu::CurrencyAmount::~CurrencyAmount | ( |  | ) |

virtual

Destructor.

Stable
  ICU 3.0

## Member Function Documentation

## clone()

virtual CurrencyAmount * icu::CurrencyAmount::clone | ( |  | ) | const

override virtual

Return a polymorphic clone of this object.

The result will have the same class as returned by getDynamicClassID().

Stable
  ICU 3.0

Reimplemented from icu::Measure.

References CurrencyAmount().

## getCurrency()

const CurrencyUnit & icu::CurrencyAmount::getCurrency | ( |  | ) | const

Return the currency unit object of this object.

Stable
  ICU 3.0

References getISOCurrency().

Referenced by getISOCurrency().

## getDynamicClassID()

virtual UClassID icu::CurrencyAmount::getDynamicClassID | ( |  | ) | const

override virtual

Returns a unique class ID for this object POLYMORPHICALLY.

This method implements a simple form of RTTI used by ICU.

Returns
  The class ID for this object. All objects of a given class have the same class ID. Objects of other classes have different class IDs.

Stable
  ICU 3.0

Reimplemented from icu::Measure.

## getISOCurrency()

const char16_t * icu::CurrencyAmount::getISOCurrency | ( |  | ) | const

inline

Return the ISO currency code of this object.

Stable
  ICU 3.0

Definition at line 123 of file curramt.h.

References getCurrency(), and getISOCurrency().

Referenced by getCurrency(), and getISOCurrency().

## getStaticClassID()

UClassID icu::CurrencyAmount::getStaticClassID | ( |  | ) |

static

Returns the class ID for this class.

This is used to compare to the return value of getDynamicClassID().

Returns
  The class ID for all objects of this class.

Stable
  ICU 3.0

## operator=()

CurrencyAmount & icu::CurrencyAmount::operator= | ( | const CurrencyAmount & | other | ) |

Assignment operator.

Stable
  ICU 3.0

References CurrencyAmount().

The documentation for this class was generated from the following file:

- i18n/unicode/curramt.h